Summary:	KDE database connectivity and creation framework for various database vendors
Name:		kdb
Version:	3.1.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	http://fr2.rpmfind.net/linux/KDE/stable/%{name}/%{version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	mysql-devel
BuildRequires:	pkgconfig(icu-i18n)
BuildRequires:	pkgconfig(libpq)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(sqlite3)

%description
KDE database connectivity and creation framework for various database vendors.

%files
%doc AUTHORS COPYING.LIB README.md
%{_kde5_bindir}/kdb3_sqlite3_dump
%{_qt5_plugindir}/kdb3/kdb_mysqldriver.so
%{_qt5_plugindir}/kdb3/kdb_postgresqldriver.so
%{_qt5_plugindir}/kdb3/kdb_sqlitedriver.so
%{_qt5_plugindir}/kdb3/sqlite3/kdb_sqlite_icu.so

#----------------------------------------------------------------------------

%package i18n
Summary:	KDb translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KDb translations.

%files i18n -f %{name}.lang
%doc AUTHORS COPYING.LIB README.md

#----------------------------------------------------------------------------

%define kdb3_major 4
%define libkdb3 %mklibname kdb3_ %{kdb3_major}

%package -n %{libkdb3}
Summary:	KDE database connectivity and creation framework shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkdb3}
KDE database connectivity and creation framework shared library.

%files -n %{libkdb3}
%doc AUTHORS COPYING.LIB README.md
%{_kde5_libdir}/libKDb3.so.%{kdb3_major}*

#----------------------------------------------------------------------------

%define devkdb %mklibname kdb -d

%package -n %{devkdb}
Summary:	Development files for KDE database connectivity and creation framework
Group:		Development/KDE and Qt
Requires:	%{libkdb3} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devkdb}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkdb}
%doc AUTHORS COPYING.LIB README.md
%{_kde5_includedir}/KDb3/
%{_kde5_libdir}/cmake/KDb3/
%{_kde5_libdir}/pkgconfig/KDb3.pc
%{_kde5_libdir}/libKDb3.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make -s

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog
